org.cybergarage.xml

## Class NodeList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Node>
      - - org.cybergarage.xml.NodeList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Node>, Collection<Node>, List<Node>, RandomAccess

      public class NodeList
      extends Vector<Node>

  A vector-based collection of XML nodes.

  This class extends Vector to provide specialized methods for managing collections of Node objects. It includes methods for finding nodes by name or by name suffix.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeList()` Creates an empty NodeList.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getEndsWith(String name)` Gets the first node whose name ends with the specified string.
    `Node` | `getNode(int n)` Gets the node at the specified index.
    `Node` | `getNode(String name)` Gets the first node with the specified name.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### NodeList

          public NodeList()

      Creates an empty NodeList.

  - ### Method Detail

    - #### getEndsWith

          public Node getEndsWith(String name)

      Gets the first node whose name ends with the specified string.
      Parameters:
        `name` - the suffix to match
      Returns:
        the first node with name ending with the specified string, or null if not found

    - #### getNode

          public Node getNode(int n)

      Gets the node at the specified index.
      Parameters:
        `n` - the index of the node to retrieve
      Returns:
        the node at the specified index

    - #### getNode

          public Node getNode(String name)

      Gets the first node with the specified name.
      Parameters:
        `name` - the name of the node to find
      Returns:
        the first node with the specified name, or null if not found